<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100300";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP
	if(isset($_GET['MAQUILA0'])){
			///$con_BDInt= mysql_connect("localhost","root","12345678");
			///mysql_select_db("interfaces_ibermex", $con_BDInt);
			$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
			mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$FechaOk=date("Y/m/d");
			if($_GET['MOT']=='2'){$mv="No hay stock del sku $_GET[CODERR].";}else{$mv="El sku $_GET[CODERR] no esta registrado."; }
			$desc = mysql_query("UPDATE confirma_maquila SET CANMAQUILADA='0',ESTADO_LINEA='PROCESADO',ESTADO_ALBARAN='CERRADO',CHEC=1,FECHA_EJECUCION='$FechaOk',HORA_EJECUCION='$HoraOK',USUARIO='$UsuEn', OBSERVACIONES='$mv' WHERE KALB_C='$_GET[ALBC]'");
			ECHO "<META HTTP-EQUIV=Refresh CONTENT='0; URL=122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&CveOrden=$AlbOrdPG'>";
			EXIT();
		}
  error_reporting (5);
		FUNCTION MAQUILA($PALLET,$CANT,$TIPOAJ,$SKUP,$DOC){
		GLOBAL $CveBodCR1;
		GLOBAL $CveCueCR1;
		GLOBAL $UsuEn;
		GLOBAL $descripcion;
		///$con_BDInt= mysql_connect("localhost","root","");
		///mysql_select_db("wms_ibermex", $con_BDInt);
		$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
		mysql_select_db("wms_ibermex", $con_BDInt);
		$FechaAMen=date("Y/m/d");
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$FechaOk=date("Y/m/d");
		$dpal = mysql_query("SELECT * FROM TABLA_INVENTARIO WHERE NO_PALLET='$PALLET' AND CVE_CUENTA='$CveCueCR1'");
		$dp = mysql_fetch_array($dpal);
		IF($TIPOAJ==="-"){
		$sqlGMP="UPDATE tabla_inventario SET CANTIDAD='".($dp['CANTIDAD']-$CANT)."', ARM_PALLET='1 pallet de ".($dp['CANTIDAD']-$CANT)." piezas' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PALLET'";
		$resultadoGMP=mysql_query($sqlGMP,$con_BDInt) or die(mysql_error());
		//ECHO "<BR><BR>".$sqlGMP."<BR><BR>";
		}ELSE{
		$sql_ACP = mysql_query("select * from wms_configura_crepal WHERE CVE_CUENTA='$CveCueCR1'");
					$registro_ACP=mysql_fetch_array($sql_ACP);
					$PrefijoACP=$registro_ACP["PREFIJO"];
					$FechaDocuRes=date("Ymd");
					$sqlDS_2 = "select max(IDINCRE) as ultimo_FOLIODS_2 from tabla_consedocaju WHERE FECHA='$FechaDocuRes'"; 
					$libDS_2 = mysql_query($sqlDS_2); 
					$rs_libDS_2 = mysql_fetch_assoc($libDS_2); 
					$id_nuevoDS = $rs_libDS_2['ultimo_FOLIODS_2'] + 1;
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					$sql_GG2 = "select max(ID) as ultimo_FOLIO_GG2 from tabla_consedocaju"; 
					$lib_GG2 = mysql_query($sql_GG2); 
					$rs_lib_GG2 = mysql_fetch_assoc($lib_GG2); 
					$id_nuevo_GG2 = $rs_lib_GG2['ultimo_FOLIOP_GG2'] + 1;
					$sql_GCP2 = "insert tabla_consedocaju (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevo_GG2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultado_GCP2=mysql_query($sql_GCP2,$con_BDInt) or die(mysql_error());
					
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoNUEPA = $rs_lib['ultimo_FOLIO'] + 1;
					$ArmPallOri="1 pallet de ".$CANT." piezas";
					$L_Wms="LWMS".date("d/m/Y");
					$FechaCadu = strtotime ( '+3650 day' , strtotime ( $FechaOk ) ) ;
					$FechaCadu = date ( 'Y/m/d' , $FechaCadu );
					$FechaPallet=date("Ymd");
					
					$sql_ACP = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					$registro_ACP=mysql_fetch_array($sql_ACP);
					$PrefijoPal=$registro_ACP["PREFIJO"];
					
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					if ($id_nuevoP <=9)
					{$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;}
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;}
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;}
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;}
					if ($id_nuevoP >=10000)
					{$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;}
				
					$sql_GPN = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)values('$id_nuevoNUEPA','$CveBodCR1','$CveCueCR1','$DOC','$DOC','$SKUP','$SKUP','$descripcion','$FechaOk','$CANT','','','','$FechaCadu','$DOC','','25','100','$ArmPallOri','$ClavePallet','100-1-1-1','99999','STAYING','D','$UsuEn','$HoraOK','$FechaOk')";
					//echo "<br><br>".$sql_GPN."<br>";
					$resultado=mysql_query($sql_GPN,$con_BDInt) or die(mysql_error());
		}
		$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
		$libPK = mysql_query($sqlIDPK); 
		$rs_libPK = mysql_fetch_assoc($libPK); 
		$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;	
		$NombreMovimiento="MAQUILA ".$TIPOAJ;
		if($TIPOAJ==="-"){$AJ = "-$CANT";}ELSE{$AJ = $CANT;}
		if($TIPOAJ==="-"){$sqlGK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
		values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$dp[SKU]','$dp[SKU_ALT]','$dp[NO_DOCUMENTO]','$NombreMovimiento','$dp[UBICACION]','$PALLET','$AJ','$FechaAMen','$HoraOK','$UsuEn')";}else{
		$sqlGK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
		values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SKUP','$SKUP','$DOC','$NombreMovimiento','100-1-1-1','$ClavePallet','$AJ','$FechaAMen','$HoraOK','$UsuEn')";}
		$resultadoGK=mysql_query($sqlGK,$con_BDInt) or die(mysql_error());
		//ECHO "<BR>-----".$sqlGK."-----<BR><BR>";
		}
		
		///$con_BDInt= mysql_connect("localhost","root","");
		///mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
		$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
		mysql_select_db("wms_interfaces_ibermex", $con_BDInt);	
			$confirm=$_POST['confirmados'];
			$maqmax=$_POST['maqmax'];
			$tipo=$_POST['tipo'];
			$albc=$_POST['albc'];
			$estalb = mysql_query("SELECT * FROM confirma_maquila WHERE KALB_C='$albc' AND ESTADO_ALBARAN!='CREADO'");
			if(mysql_numrows($estalb)!=0){
			echo "<script>alert('El ESTADO_ALBARAN de las línes no es apto para este proceso, favor de corroborarlo.')</script>";
			ECHO "<META HTTP-EQUIV=Refresh CONTENT='0; URL=122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&CveOrden=$AlbOrdPG'>";EXIT();
			}
		
			$desc = mysql_query("SELECT * FROM confirma_maquila WHERE CVE_CUENTA='$CveCueCR1' AND KALB_C='$albc' ORDER BY CANXMAQUILAR DESC limit 0,1");
			$descrip = mysql_fetch_array($desc);
			$descripcion= $descrip['DESCRIPCION'];
			
			$i=0;
			foreach ($_POST as $key => $value){
				IF ( preg_match('/PPS/',$key) and !preg_match('/CANTPPS/',$key) AND !preg_match('/MAXPPS/',$key) AND !(trim($value)==='')){
				$NPALL=$value;}
				IF ( preg_match('/CANTPPS/',$key) AND !preg_match('/MAXPPS/',$key) AND !(trim($value)==='') AND ($value>0)){
				    $PALL[$i][$NPALL]=$value;
					$i++;}
				IF ($key=="skuprod0"){
					$skualta=$value;}
				IF ($key=="inventario0"){
					$masterconfirm=$value;}
				}
			///$con_BDInt= mysql_connect("localhost","root","");
			///mysql_select_db("wms_ibermex", $con_BDInt);
			$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
			mysql_select_db("wms_ibermex", $con_BDInt);
			foreach ($PALL as $key => $value){
			$valid = mysql_query("SELECT NO_PALLET,CANTIDAD,CVE_CUENTA,CASE WHEN CANTIDAD >= ".($PALL[$key][key($PALL[$key])])." THEN 'OK' ELSE 'NO' END AS 'VALIDO' FROM tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='".key($PALL[$key])."'");
			$val = mysql_fetch_array($valid);
			if($val["VALIDO"]=="NO"){echo "<script>alert('Las existencias en el pallet ".key($PALL[$key])." han cambiado y son insuficientes, no se puede continuar con el proceso.')</script>";
				ECHO "<META HTTP-EQUIV=Refresh CONTENT='0; URL=122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&CveOrden=$AlbOrdPG'>";EXIT();}
			}
			foreach ($PALL as $key => $value){$valid = mysql_query("SELECT NO_PALLET,CANTIDAD,CVE_CUENTA,CASE WHEN CANTIDAD >= ".($PALL[$key][key($PALL[$key])])." THEN 'OK' ELSE 'NO' END AS 'VALIDO' FROM tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='".key($PALL[$key])."'");
				MAQUILA(key($PALL[$key]),$PALL[$key][key($PALL[$key])],"-","","");
				}
			MAQUILA("",$masterconfirm,"+",$skualta,$albc);
			///$con_BDInt= mysql_connect("localhost","root","");
			///mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
			$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
			mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
			$desc = mysql_query("SELECT * FROM confirma_maquila WHERE CVE_CUENTA='$CveCueCR1' AND KALB_C='$albc' ORDER BY CANXMAQUILAR DESC");
			$x=0;
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$FechaOk=date("Y/m/d");
			while($alb = mysql_fetch_array($desc)){
					$LDF = "inventario".($x);
					$con = "UPDATE confirma_maquila SET CANMAQUILADA='".($_POST[$LDF])."',ESTADO_LINEA='PROCESADO',ESTADO_ALBARAN='CERRADO',CHEC=1,FECHA_EJECUCION='$FechaOk',HORA_EJECUCION='$HoraOK',USUARIO='$UsuEn' WHERE ID='$alb[ID]'";
					$res=mysql_query($con);
					$x++;
				}
				echo "<script>alert('Proceso finalizado.')</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&CveOrden=$AlbOrdPG'>";
}}}}
?>
</body>
</html>